<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M5 3C5 1.34315 6.34315 0 8 0H12C13.6569 0 15 1.34315 15 3H17C18.6569 3 20 4.34315 20 6C20 6.55228 19.5523 7 19 7H1C0.447715 7 0 6.55228 0 6C0 4.34315 1.34315 3 3 3H5ZM2 9H18C18.5523 9 19 9.44771 19 10V21C19 22.6569 17.6569 24 16 24H4C2.34315 24 1 22.6569 1 21V10C1 9.44771 1.44772 9 2 9ZM5 13.1429V18.8571C5 19.4883 5.44772 20 6 20C6.55228 20 7 19.4883 7 18.8571V13.1429C7 12.5117 6.55228 12 6 12C5.44772 12 5 12.5117 5 13.1429ZM9 13.1429V18.8571C9 19.4883 9.44771 20 10 20C10.5523 20 11 19.4883 11 18.8571V13.1429C11 12.5117 10.5523 12 10 12C9.44771 12 9 12.5117 9 13.1429ZM13 13.1429V18.8571C13 19.4883 13.4477 20 14 20C14.5523 20 15 19.4883 15 18.8571V13.1429C15 12.5117 14.5523 12 14 12C13.4477 12 13 12.5117 13 13.1429ZM8 2C7.44772 2 7 2.44772 7 3H13C13 2.44772 12.5523 2 12 2H8Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconTrash'
  }
</script>
